Package io.milvus.response

## Class DescCollResponseWrapper

- java.lang.Object
- - io.milvus.response.DescCollResponseWrapper

-     public class DescCollResponseWrapper
      extends java.lang.Object

  Util class to wrap response of `describeCollection` interface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DescCollResponseWrapper​(@NonNull io.milvus.grpc.DescribeCollectionResponse response)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `getAliases()` | Get aliases of the collection.
    `java.lang.String` | `getCollectionDescription()` | Get description of the collection.
    `long` | `getCollectionID()` | Get internal id of the collection.
    `java.lang.String` | `getCollectionName()` | Get name of the collection.
    `long` | `getCreatedUtcTimestamp()` | Get utc timestamp when collection created.
    `boolean` | `getEnableDynamicField()` |
    `FieldType` | `getFieldByName​(@NonNull java.lang.String fieldName)` | Get schema of a field by name.
    `java.util.List<FieldType>` | `getFields()` | Get schema of the collection's fields.
    `FieldType` | `getPartitionKeyField()` | Get the partition key field.
    `FieldType` | `getPrimaryField()` | Get the primary key field.
    `int` | `getShardNumber()` | Get shard number of the collection.
    `FieldType` | `getVectorField()` | Get the vector key field.
    `boolean` | `isDynamicFieldEnabled()` | Get whether the collection dynamic field is enabled
    `java.lang.String` | `toString()` | Construct a `String` by `DescCollResponseWrapper` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DescCollResponseWrapper

          public DescCollResponseWrapper​(@NonNull
                                         @NonNull io.milvus.grpc.DescribeCollectionResponse response)

  - ### Method Detail

    - #### getEnableDynamicField

          public boolean getEnableDynamicField()

    - #### getCollectionName

          public java.lang.String getCollectionName()

      Get name of the collection.
      Returns:
        `String` name of the collection

    - #### getCollectionDescription

          public java.lang.String getCollectionDescription()

      Get description of the collection.
      Returns:
        `String` description of the collection

    - #### getCollectionID

          public long getCollectionID()

      Get internal id of the collection.
      Returns:
        `long` internal id of the collection

    - #### getShardNumber

          public int getShardNumber()

      Get shard number of the collection.
      Returns:
        `int` shard number of the collection

    - #### getCreatedUtcTimestamp

          public long getCreatedUtcTimestamp()

      Get utc timestamp when collection created.
      Returns:
        `long` utc timestamp when collection created

    - #### getAliases

          public java.util.List<java.lang.String> getAliases()

      Get aliases of the collection.
      Returns:
        List of String, aliases of the collection

    - #### getFields

          public java.util.List<FieldType> getFields()

      Get schema of the collection's fields.
      Returns:
        List of FieldType, schema of the collection's fields

    - #### getFieldByName

          public FieldType getFieldByName​(@NonNull
                                          @NonNull java.lang.String fieldName)

      Get schema of a field by name. Return null if the field doesn't exist
      Parameters:
        `fieldName` - field name to get field description
      Returns:
        `FieldType` schema of the field

    - #### isDynamicFieldEnabled

          public boolean isDynamicFieldEnabled()

      Get whether the collection dynamic field is enabled
      Returns:
        boolean

    - #### getPartitionKeyField

          public FieldType getPartitionKeyField()

      Get the partition key field. Return null if the partition key field doesn't exist.
      Returns:
        `FieldType` schema of the partition key field

    - #### getPrimaryField

          public FieldType getPrimaryField()

      Get the primary key field. throw ParamException if the primary key field doesn't exist.
      Returns:
        `FieldType` schema of the primary key field

    - #### getVectorField

          public FieldType getVectorField()

      Get the vector key field. throw ParamException if the vector key field doesn't exist.
      Returns:
        `FieldType` schema of the vector key field

    - #### toString

          public java.lang.String toString()

      Construct a `String` by `DescCollResponseWrapper` instance.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        `String`